# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


# An example log4j configuration file that outputs to System.out.  The
# output information consists of relative time, log level, thread
# name, logger name, nested diagnostic context and the message in that
# order.

# For the general syntax of property based configuration files see the
# documenation of org.apache.log4j.PropertyConfigurator.

#log4j.rootLogger=DEBUG, fileAppender, consoleAppender

# ConsoleAppender
log4j.appender.consoleAppender=org.apache.log4j.ConsoleAppender
log4j.appender.consoleAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.consoleAppender.layout.ConversionPattern=%d{HH:mm:ss,SSS} %-5p [%t] %c{2} %3x - %m%n

# SocketAppender
log4j.appender.socketAppender=org.apache.log4j.net.SocketAppender
log4j.appender.socketAppender.remoteHost=localhost
log4j.appender.socketAppender.port=4445
log4j.appender.socketAppender.locationInfo=true

# Regular FileAppender
log4j.appender.fileAppender=org.apache.log4j.DailyRollingFileAppender
log4j.appender.fileAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.fileAppender.File=logs/bitzero.log
log4j.appender.fileAppender.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss,SSS} %-5p [%t] %c{3} %3x - %m%n
log4j.appender.fileAppender.Encoding=UTF-8

# Regular DebugAppender
log4j.appender.DebugAppender=org.apache.log4j.DailyRollingFileAppender
log4j.appender.DebugAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.DebugAppender.File=logs/bitzerodebug.log
log4j.appender.DebugAppender.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss,SSS} %-5p [%t] %c{3} %3x - %m%n
log4j.appender.DebugAppender.Encoding=UTF-8

# BootLogger FileAppender(s)
log4j.appender.bootFileAppender=org.apache.log4j.DailyRollingFileAppender
log4j.appender.bootFileAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.bootFileAppender.File=logs/boot/boot.log
log4j.appender.bootConsoleAppender.threshold=DEBUG
log4j.appender.bootFileAppender.layout.ConversionPattern=%d{dd MMM yyyy HH:mm:ss,SSS} %-5p [%t] %c{3} %3x - %m%n
log4j.appender.bootFileAppender.Encoding=UTF-8

log4j.appender.bootConsoleAppender=org.apache.log4j.ConsoleAppender
log4j.appender.bootConsoleAppender.layout=org.apache.log4j.PatternLayout
log4j.appender.bootConsoleAppender.layout.ConversionPattern=%d{HH:mm:ss,SSS} %-5p [%t] %c{3} %3x - %m%n
log4j.appender.bootConsoleAppender.threshold=WARN


# ConversionPattern=%-4r %-5p [%t] %37c %3x - %m%n

# The file is rolled over very day
# '.'yyyy-MM-dd-HH			rolls every hour
# '.'yyyy-MM-dd-HH-mm		rolls every minute
#log4j.appender.fileAppender.DatePattern  ='.'yyyy-MM-dd-HH

log4j.category.SystemController=WARN,consoleAppender,fileAppender
log4j.category.bitzero=WARN,consoleAppender,fileAppender
log4j.category.bootLogger=WARN,bootConsoleAppender
log4j.category.Extensions=WARN,consoleAppender,fileAppender
log4j.category.request=WARN,consoleAppender,fileAppender
log4j.category.debug=WARN,consoleAppender,DebugAppender
log4j.category.bitzero=WARN,consoleAppender,fileAppender
log4j.category.WebSocketServerHandler=WARN,consoleAppender,fileAppender

# user core logger
log4j.logger.user_core=DEBUG, user_core
log4j.appender.user_core=org.apache.log4j.DailyRollingFileAppender
log4j.appender.user_core.layout=org.apache.log4j.PatternLayout
log4j.appender.user_core.File=logs/user_core/user_core.log
log4j.appender.user_core.layout.ConversionPattern=%d{dd MMM yyyy, HH:mm:ss,SSS} %m%n
log4j.appender.user_core.Encoding=UTF-8
log4j.appender.user_core.DatePattern='.'yyyy-MM-dd

#money
log4j.logger.csvMoneyVin=DEBUG, csvMoneyVin
log4j.appender.csvMoneyVin=org.apache.log4j.DailyRollingFileAppender
log4j.appender.csvMoneyVin.layout=org.apache.log4j.PatternLayout
log4j.appender.csvMoneyVin.File=logs/money/csvMoneyVin.csv
log4j.appender.csvMoneyVin.layout.ConversionPattern=%d{dd MMM yyyy, HH:mm:ss,SSS} %m%n
log4j.appender.csvMoneyVin.Encoding=UTF-8
log4j.appender.csvMoneyVin.DatePattern='.'yyyy-MM-dd-HH

log4j.logger.csvMoneyXu=DEBUG, csvMoneyXu
log4j.appender.csvMoneyXu=org.apache.log4j.DailyRollingFileAppender
log4j.appender.csvMoneyXu.layout=org.apache.log4j.PatternLayout
log4j.appender.csvMoneyXu.File=logs/money/csvMoneyXu.csv
log4j.appender.csvMoneyXu.layout.ConversionPattern=%d{dd MMM yyyy, HH:mm:ss,SSS} %m%n
log4j.appender.csvMoneyXu.Encoding=UTF-8
log4j.appender.csvMoneyXu.DatePattern='.'yyyy-MM-dd-HH



